Loading...
Searching...
No Matches
file_descriptor_sink.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2004,2013 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_GR_FILE_DESCRIPTOR_SINK_H
#define INCLUDED_GR_FILE_DESCRIPTOR_SINK_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace blocks {
/*!
* \brief Write stream to file descriptor.
* \ingroup file_operators_blk
*/
class BLOCKS_API file_descriptor_sink : virtual public sync_block
{
public:
// gr::blocks::file_descriptor_sink::sptr
typedef std::shared_ptr<file_descriptor_sink> sptr;
/*!
* Build a file descriptor sink block. The provided file descriptor will
* be closed when the sink is destroyed.
*
* \param itemsize item size of the incoming data stream.
* \param fd file descriptor (as an integer).
*/
static sptr make(size_t itemsize, int fd);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_GR_FILE_DESCRIPTOR_SINK_H */
gr::blocks::file_descriptor_sink
Write stream to file descriptor.
Definition file_descriptor_sink.h:25
gr::blocks::file_descriptor_sink::sptr
std::shared_ptr< file_descriptor_sink > sptr
Definition file_descriptor_sink.h:28
gr::blocks::file_descriptor_sink::make
static sptr make(size_t itemsize, int fd)
gr::sync_block
synchronous 1:1 input to output with history
Definition sync_block.h:26
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h